FreeBSD : ImageMagick7 -- multiple vulnerabilities (e1f67063-aab4-11e6-b2d3-60a44ce6887b)

Medium Nessus Plugin ID 95514


The remote FreeBSD host is missing one or more security-related updates.


Multiple sources report :

CVE-2016-9298: heap overflow in WaveletDenoiseImage(), fixed in ImageMagick7-, discovered 2016-10-31

CVE-2016-8866: memory allocation failure in AcquireMagickMemory (incomplete previous fix for CVE-2016-8862), not fixed yet with the release of this announcement, re-discovered 2016-10-13.

CVE-2016-8862: memory allocation failure in AcquireMagickMemory, initially partially fixed in ImageMagick7-, discovered 2016-09-14.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 95514

File Name: freebsd_pkg_e1f67063aab411e6b2d360a44ce6887b.nasl

Version: $Revision: 3.5 $

Type: local

Published: 2016/12/05

Modified: 2017/02/27

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P


Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:ImageMagick7, p-cpe:/a:freebsd:freebsd:ImageMagick7-nox11, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/12/04

Vulnerability Publication Date: 2016/09/14

Reference Information

CVE: CVE-2016-8862, CVE-2016-8866, CVE-2016-9298